# $Revision: 1.13 $, $Date: 2004/02/01 09:41:54 $
Summary:	Japanese (and not only) code conversion library
Summary(pl):	Biblioteka do konwersji tekstw japoskich (i nie tylko)
Name:		libjconv
Version:	2.8
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://www.jaist.ac.jp/~amatsus/linux/src/net/%{name}-%{version}.tar.bz2
# Source0-md5: dbc0b977ded88ffa524fca4ea237af51
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides Japanese code translation based on iconv, it may
be used also to convert from other character sets.

%description -l pl
Pakiet ten pozwala na konwersj tekstu w kodowaniu Japoskim, moe
jednak suy do konwersji z innych zbiorw znakw.

%package devel
Summary:	Header files for Japanese code conversion library
Summary(pl):	Pliki nagwkowe do biblioteki jconv
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for jconv library.

%description devel -l pl
Pliki nagwkowe dla biblioteki jconv.

%package static
Summary:	Static jconv libraries
Summary(pl):	Biblioteki statyczne jconv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of jconv libraries.

%description static -l pl
Wersja statyczna biblioteki jconv.

%package -n jconv
Summary:	Japanese code conversion tool
Summary(pl):	Narzdzie do konwersji kodowania tekstw japoskich
Group:		Applications/Text
Requires:	%{name} = %{version}

%description -n jconv
Japanese code conversion tool.

%description -n jconv -l pl
Program do konwersji kodowania Japoskich tekstw.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -Wall -DHAVE_CODESET"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_bindir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install default.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install %{name}.so $RPM_BUILD_ROOT%{_libdir}
install jconv.h $RPM_BUILD_ROOT%{_includedir}
install jconv $RPM_BUILD_ROOT%{_bindir}
install %{name}.a $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%dir %{_sysconfdir}/%{name}
%config %verify(not md5 size mtime) %{_sysconfdir}/%{name}/default.conf
%attr(755,root,root) %{_libdir}/*.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files -n jconv
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jconv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libjconv.spec,v $
Revision 1.13  2004/02/01 09:41:54  qboosh
- use optflags, release 3

Revision 1.12  2003/08/02 23:13:25  grzegol
- added missing %%{_sysconfdir}/%%{name} dir
- rel. 2

Revision 1.11  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.10  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.8  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/21 04:27:36  kloczek
- cosmetics.

Revision 1.6  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.5  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/01 10:55:54  qboosh
- added working Source0 URL (the only I could find)

Revision 1.3  2001/08/22 17:34:38  filon
- changed unnecessary macro %{__install} to install

Revision 1.2  2001/08/21 19:03:34  filon
- adapterized, added package jconv

Revision 1.1  2001/08/21 18:46:46  filon
- first release, written from scratch
